Package com.databricks.jdbc.model.client.thrift.generated

## Class TSparkArrowTypes

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TSparkArrowTypes

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkArrowTypes>`, `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TSparkArrowTypes
    extends Object
    implements org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>, Serializable, Cloneable, Comparable<TSparkArrowTypes>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSparkArrowTypes._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `complexTypesAsArrow`
`boolean` `decimalAsArrow`
`boolean` `intervalTypesAsArrow`
`static Map<TSparkArrowTypes._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `nullTypeAsArrow`
`boolean` `timestampAsArrow`

### Constructor Summary

Constructors
`TSparkArrowTypes()`
`TSparkArrowTypes​(TSparkArrowTypes other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TSparkArrowTypes other)`
`TSparkArrowTypes` `deepCopy()`
`boolean` `equals​(TSparkArrowTypes that)`
`boolean` `equals​(Object that)`
`TSparkArrowTypes._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TSparkArrowTypes._Fields field)`
`int` `hashCode()`
`boolean` `isComplexTypesAsArrow()`
`boolean` `isDecimalAsArrow()`
`boolean` `isIntervalTypesAsArrow()`
`boolean` `isNullTypeAsArrow()`
`boolean` `isSet​(TSparkArrowTypes._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetComplexTypesAsArrow()` Returns true if field complexTypesAsArrow is set (has been assigned a value) and false otherwise
`boolean` `isSetDecimalAsArrow()` Returns true if field decimalAsArrow is set (has been assigned a value) and false otherwise
`boolean` `isSetIntervalTypesAsArrow()` Returns true if field intervalTypesAsArrow is set (has been assigned a value) and false otherwise
`boolean` `isSetNullTypeAsArrow()` Returns true if field nullTypeAsArrow is set (has been assigned a value) and false otherwise
`boolean` `isSetTimestampAsArrow()` Returns true if field timestampAsArrow is set (has been assigned a value) and false otherwise
`boolean` `isTimestampAsArrow()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkArrowTypes` `setComplexTypesAsArrow​(boolean complexTypesAsArrow)`
`void` `setComplexTypesAsArrowIsSet​(boolean value)`
`TSparkArrowTypes` `setDecimalAsArrow​(boolean decimalAsArrow)`
`void` `setDecimalAsArrowIsSet​(boolean value)`
`void` `setFieldValue​(TSparkArrowTypes._Fields field, Object value)`
`TSparkArrowTypes` `setIntervalTypesAsArrow​(boolean intervalTypesAsArrow)`
`void` `setIntervalTypesAsArrowIsSet​(boolean value)`
`TSparkArrowTypes` `setNullTypeAsArrow​(boolean nullTypeAsArrow)`
`void` `setNullTypeAsArrowIsSet​(boolean value)`
`TSparkArrowTypes` `setTimestampAsArrow​(boolean timestampAsArrow)`
`void` `setTimestampAsArrowIsSet​(boolean value)`
`String` `toString()`
`void` `unsetComplexTypesAsArrow()`
`void` `unsetDecimalAsArrow()`
`void` `unsetIntervalTypesAsArrow()`
`void` `unsetNullTypeAsArrow()`
`void` `unsetTimestampAsArrow()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### timestampAsArrow

    public boolean timestampAsArrow

#### decimalAsArrow

    public boolean decimalAsArrow

#### complexTypesAsArrow

    public boolean complexTypesAsArrow

#### intervalTypesAsArrow

    public boolean intervalTypesAsArrow

#### nullTypeAsArrow

    public boolean nullTypeAsArrow

#### metaDataMap

    public static final Map<TSparkArrowTypes._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSparkArrowTypes

    public TSparkArrowTypes()

#### TSparkArrowTypes

    public TSparkArrowTypes​(TSparkArrowTypes other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSparkArrowTypes deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### isTimestampAsArrow

    public boolean isTimestampAsArrow()

#### setTimestampAsArrow

    public TSparkArrowTypes setTimestampAsArrow​(boolean timestampAsArrow)

#### unsetTimestampAsArrow

    public void unsetTimestampAsArrow()

#### isSetTimestampAsArrow

    public boolean isSetTimestampAsArrow()

Returns true if field timestampAsArrow is set (has been assigned a value) and false otherwise

#### setTimestampAsArrowIsSet

    public void setTimestampAsArrowIsSet​(boolean value)

#### isDecimalAsArrow

    public boolean isDecimalAsArrow()

#### setDecimalAsArrow

    public TSparkArrowTypes setDecimalAsArrow​(boolean decimalAsArrow)

#### unsetDecimalAsArrow

    public void unsetDecimalAsArrow()

#### isSetDecimalAsArrow

    public boolean isSetDecimalAsArrow()

Returns true if field decimalAsArrow is set (has been assigned a value) and false otherwise

#### setDecimalAsArrowIsSet

    public void setDecimalAsArrowIsSet​(boolean value)

#### isComplexTypesAsArrow

    public boolean isComplexTypesAsArrow()

#### setComplexTypesAsArrow

    public TSparkArrowTypes setComplexTypesAsArrow​(boolean complexTypesAsArrow)

#### unsetComplexTypesAsArrow

    public void unsetComplexTypesAsArrow()

#### isSetComplexTypesAsArrow

    public boolean isSetComplexTypesAsArrow()

Returns true if field complexTypesAsArrow is set (has been assigned a value) and false otherwise

#### setComplexTypesAsArrowIsSet

    public void setComplexTypesAsArrowIsSet​(boolean value)

#### isIntervalTypesAsArrow

    public boolean isIntervalTypesAsArrow()

#### setIntervalTypesAsArrow

    public TSparkArrowTypes setIntervalTypesAsArrow​(boolean intervalTypesAsArrow)

#### unsetIntervalTypesAsArrow

    public void unsetIntervalTypesAsArrow()

#### isSetIntervalTypesAsArrow

    public boolean isSetIntervalTypesAsArrow()

Returns true if field intervalTypesAsArrow is set (has been assigned a value) and false otherwise

#### setIntervalTypesAsArrowIsSet

    public void setIntervalTypesAsArrowIsSet​(boolean value)

#### isNullTypeAsArrow

    public boolean isNullTypeAsArrow()

#### setNullTypeAsArrow

    public TSparkArrowTypes setNullTypeAsArrow​(boolean nullTypeAsArrow)

#### unsetNullTypeAsArrow

    public void unsetNullTypeAsArrow()

#### isSetNullTypeAsArrow

    public boolean isSetNullTypeAsArrow()

Returns true if field nullTypeAsArrow is set (has been assigned a value) and false otherwise

#### setNullTypeAsArrowIsSet

    public void setNullTypeAsArrowIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSparkArrowTypes._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSparkArrowTypes._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### isSet

    public boolean isSet​(TSparkArrowTypes._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSparkArrowTypes that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSparkArrowTypes other)

Specified by:
  `compareTo` in interface `Comparable<TSparkArrowTypes>`

#### fieldForId

    public TSparkArrowTypes._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkArrowTypes,​TSparkArrowTypes._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`